Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.wsrm
Class AckRequested

    java.lang.Object
      org.apache.sandesha2.wsrm.AckRequested

All Implemented Interfaces:
  RMHeaderPart

    public class AckRequested

extends java.lang.Object
implements RMHeaderPart

Represent the AckRequested header block. The 2005/02 spec includes a 'MessageNumber' part in the ack request, but the 2006/08 spec does not. As the message number was never used in our implementation we simply ignore it. Either RM10 or RM11 namespace supported

Constructor Summary
`AckRequested(java.lang.String namespaceValue)`

Method Summary
`java.lang.Object` | `fromHeaderBlock(org.apache.axiom.soap.SOAPHeaderBlock ackReqElement)`
`Identifier` | `getIdentifier()`
`java.lang.String` | `getNamespaceValue()`
`org.apache.axiom.om.OMElement` | `getOriginalAckRequestedElement()`
`boolean` | `isMustUnderstand()`
`void` | `setIdentifier(Identifier identifier)`
`void` | `setMustUnderstand(boolean mustUnderstand)`
`void` | `toHeader(org.apache.axiom.soap.SOAPHeader header)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AckRequested

    public AckRequested(java.lang.String namespaceValue)

Method Detail

### getNamespaceValue

    public java.lang.String getNamespaceValue()

### fromHeaderBlock

    public java.lang.Object fromHeaderBlock(org.apache.axiom.soap.SOAPHeaderBlock ackReqElement)
                                     throws org.apache.axiom.om.OMException,
                                            SandeshaException

  Specified by:
    `fromHeaderBlock` in interface `RMHeaderPart`
  Throws:
    `org.apache.axiom.om.OMException`
    `SandeshaException`

### setIdentifier

    public void setIdentifier(Identifier identifier)

### getIdentifier

    public Identifier getIdentifier()

### isMustUnderstand

    public boolean isMustUnderstand()

### setMustUnderstand

    public void setMustUnderstand(boolean mustUnderstand)

### getOriginalAckRequestedElement

    public org.apache.axiom.om.OMElement getOriginalAckRequestedElement()

### toHeader

    public void toHeader(org.apache.axiom.soap.SOAPHeader header)

  Specified by:
    `toHeader` in interface `RMHeaderPart`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.